Principal()
{
   clear;
   cecho 1 44 "***************************************************************************";
   cecho 1 44 "|Proyecto Expresso Livre                                                  |";
   cecho 1 44 "| http://www.expressolivre.org                                            |";
   cecho 1 44 "| Script Generico para instalacin del ambiente Expresso Livre.           |";
   cecho 1 44 "| Versin de Script 1.2 - Data 17/08/2009                                 |";
   cecho 1 44 "| IMPORTANTE: LEA EL ARCHIVO README Y PREINSTALL ANTES DE INSTALAR!!!     |";
   cecho 1 44 "| Cada script de cada distribuicin posee su administrador                |";
   cecho 1 44 "| Usted puede encontrar los creditos en cada instalador.                  |";   
   cecho 1 44 "***************************************************************************";
   echo   
   cecho 33 1 "Seleccione su distribucin Linux:"
   echo
   cecho 1 1 "1. Debian Sarge"
   cecho 1 1 "2. Debian Etch (UTF-8)"
   cecho 1 1 "3. Debian Etch (ISO-8859-1)"
   cecho 1 1 "4. Debian Lenny (UTF-8)"
   cecho 1 1 "5. SuSe 10.0"
   cecho 1 1 "6. SuSe 10.1"
   cecho 1 1 "7. CentOS 5"
   cecho 1 1 "8. Red Hat Enterprise 5"   
   cecho 1 1 "9. Salir del Script"
   echo
   cecho 32 1 "Escribe su opcin y presione ENTER: " -n; read opcao;
   case $opcao in
     1) InstalarDebian_sarge;;
     2) InstalarDebian_etch ;;
     3) InstalarDebian_etch_iso ;;
     4) InstalarDebian_lenny ;;
     5) InstalarSuse_100 ;;
     6) InstalarSuse_101 ;;
     7) InstalarCentos_5 ;;
     8) InstalarRH_E5 ;;
     9) Fin;;
     *) cecho 31 1 "Error: Opcin invlida" ; sleep 1; clear; Principal;
   esac
}

#	Funcin para imprimir colores
#	$1 -> Numero de color del texto
#	$2 -> Numero de color de fondo
#	$3 -> Texto
#	$4 -> Imprimir en la misma linea, use -n
cecho(){
	echo $4 -e "\e[$1;$2m $3";tput sgr0;
}

returnMain()
{
    cd ..;
    cecho 31 1 "Pressione ENTER para regresar al menu principal" -n;
    read a; 
    clear;
    Principal
}
# Funcoes que invocam os respectivos scripts
InstalarDebian_sarge()
{
	echo "Llamado el script para el Debian Sarge ...";
    cd debian;./expressoInstallDebian-sarge.sh; 
	returnMain;
}
InstalarDebian_etch()
{
    echo "Llamando el script para el Debian Etch ...";
    cd debian;./expressoInstallDebian-etch.sh;
	returnMain;
}
InstalarDebian_etch_iso()
{
    echo "Llamando el script para Debian Etch (ISO-8859-1) ...";
    cd debian;./expressoInstallDebian-etch-ISO8859-1.sh;
  	returnMain;
}
InstalarDebian_lenny()
{
    echo "Llamando el script para  Debian Etch ...";
    cd debian;./expressoInstallDebian-lenny.sh;
	returnMain;
}
InstalarSuse_100()
{
    echo "Llamando el script para  Suse 10.0 ...";
    cd suse;./expressoInstallSuse10.0.sh;
	returnMain;
}
InstalarSuse_101()
{
    echo "Llamando el script para  Suse 10.1 ...";
    cd suse;./expressoInstallSuse10.1.sh;
	returnMain;
}
InstalarCentos_5()
{
    echo "Llamando el script para  CentoOS ...";
    cd rhel5-centos5;./expressoInstallCentos5.sh;
	returnMain;
}
InstalarRH_E5()
{
    echo "Llamando el script para  Red Hat Enterprise 5 ...";
    cd rhel5-centos5;./expressoInstallRHEL5.sh;
	returnMain;
}

Fim()
{
 exit 0;
}

Principal
